Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.math
Class Sweep

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.graph.impl.ContextDependentBase
              de.grogra.math.Sweep

All Implemented Interfaces:
  ContextDependent, BSplineCurveList, Manageable, Shareable

Direct Known Subclasses:
  ExtendedSweep, ProfileSweep

    public abstract class Sweep

extends ContextDependentBase
implements BSplineCurveList

Nested Class Summary
`static class` | `Sweep.Type`

Field Summary
`static Sweep.Type` | `$TYPE`
`static SCOType.Field` | `useRail$FIELD`

Constructor Summary
`Sweep()`

Method Summary
`boolean` | `areCurvesCompatible(GraphState gs)`
`protected float` | `calculateLocalX(Vector3f x, Vector3f z, Vector3f rail, float railScale, java.lang.Object[] cache, GraphState gs)`
`protected float[]` | `computeTrajectory(java.lang.Object[] cache, GraphState gs)`
`protected java.lang.Object[]` | `getCache(GraphState gs)`
`protected java.lang.Object[]` | `getCacheImpl(GraphState gs)`
`int` | `getDimension(int curve, GraphState gs)`
`int` | `getSize(GraphState gs)`
`protected abstract BSplineCurve` | `getTrajectory(GraphState gs)`
`int` | `getVertex(float[] out, int curve, int index, GraphState gs)`
`protected abstract int` | `getVertexImpl(float[] out, int curve, int index, java.lang.Object[] cache, GraphState gs)`
`protected abstract java.lang.Object[]` | `initCache(GraphState gs)`
`protected float` | `initLocalX(Vector3f x, Vector3f z, Vector3f rail, float railScale, java.lang.Object[] cache, GraphState gs)`
`boolean` | `isRational(int curve, GraphState gs)`
`void` | `setUseRail(boolean value)`

Methods inherited from class de.grogra.graph.impl.ContextDependentBase
`writeStamp`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.math.BSplineCurveList
`getDegree, getKnot, getSize`

Methods inherited from interface de.grogra.graph.ContextDependent
`dependsOnContext, writeStamp`

Methods inherited from interface de.grogra.persistence.Manageable
`getManageableType`

Field Detail

### $TYPE

    public static final Sweep.Type $TYPE

### useRail$FIELD

    public static final SCOType.Field useRail$FIELD

Constructor Detail

### Sweep

    public Sweep()

Method Detail

### areCurvesCompatible

    public boolean areCurvesCompatible(GraphState gs)

  Specified by:
    `areCurvesCompatible` in interface `BSplineCurveList`

### calculateLocalX

    protected float calculateLocalX(Vector3f x,
                                    Vector3f z,
                                    Vector3f rail,
                                    float railScale,
                                    java.lang.Object[] cache,
                                    GraphState gs)

### computeTrajectory

    protected float[] computeTrajectory(java.lang.Object[] cache,
                                        GraphState gs)

### getCache

    protected java.lang.Object[] getCache(GraphState gs)

### getCacheImpl

    protected java.lang.Object[] getCacheImpl(GraphState gs)

### getDimension

    public int getDimension(int curve,
                            GraphState gs)

  Specified by:
    `getDimension` in interface `BSplineCurveList`

### getSize

    public int getSize(GraphState gs)

  Specified by:
    `getSize` in interface `BSplineCurveList`

### getTrajectory

    protected abstract BSplineCurve getTrajectory(GraphState gs)

### getVertex

    public int getVertex(float[] out,
                         int curve,
                         int index,
                         GraphState gs)

  Specified by:
    `getVertex` in interface `BSplineCurveList`

### getVertexImpl

    protected abstract int getVertexImpl(float[] out,
                                         int curve,
                                         int index,
                                         java.lang.Object[] cache,
                                         GraphState gs)

### initCache

    protected abstract java.lang.Object[] initCache(GraphState gs)

### initLocalX

    protected float initLocalX(Vector3f x,
                               Vector3f z,
                               Vector3f rail,
                               float railScale,
                               java.lang.Object[] cache,
                               GraphState gs)

### isRational

    public boolean isRational(int curve,
                              GraphState gs)

  Specified by:
    `isRational` in interface `BSplineCurveList`

### setUseRail

    public void setUseRail(boolean value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD